Project

General

Profile

Bug #11392

Lens profiles used in Ubuntu PPA builds are incorrect

Added by Sergei Datsenko over 2 years ago. Updated over 2 years ago.

Status:
Closed: upstream
Priority:
Low
Assignee:
-
Category:
Buildsystem
Target version:
Start date:
12/26/2016
Due date:
% Done:

0%

Affected Version:
2.2.0
System:
Ubuntu
bitness:
64-bit
hardware architecture:
amd64/x86

Description

Hi there!

I observe this problem for quite a few releases in a row (since some of 2.0.x, don't remember exactly) that still exists in 2.2.0

Default settings for lens correction on my Ubuntu use odd parmeters for my Sigma 17-50/2.8 that yields too much crop and doesn't look right (scale 1.230, thoby f/e geometry). MacOS build doesn't have that problem. Also interestingly if I build darktable myself from source (either manually, or using apt-get source) it's also OK and looks reasonable (scale 1.002, rectlinear geometry).

Seems something is wrong with the lens profiles that are bundled in PPA's builds.

Screenshot_20161227_035948.png (13.3 KB) Sergei Datsenko, 12/26/2016 07:01 PM

Screenshot_20161227_040040.png (12.9 KB) Sergei Datsenko, 12/26/2016 07:01 PM

History

#1 Updated by Roman Lebedev over 2 years ago

  • Status changed from New to Closed: upstream

Sergei Datsenko wrote:

Hi there!

I observe this problem for quite a few releases in a row (since some of 2.0.x, don't remember exactly) that still exists in 2.2.0

Default settings for lens correction on my Ubuntu use odd parmeters for my Sigma 17-50/2.8 that yields too much crop and doesn't look right (scale 1.230,

thoby f/e geometry

That is a known symptom of broken lensfun ABI (yes, abi).
Do make sure that you do not have any liblensfun other than the one installed directly from distro repos, i.e. not from some ppa.
If the issue persists, report to ubuntu tracker.

). MacOS build doesn't have that problem. Also interestingly if I build darktable myself from source (either manually, or using apt-get source) it's also OK and looks reasonable (scale 1.002, rectlinear geometry).

Seems something is wrong with the lens profiles that are bundled in PPA's builds.

#2 Updated by Sergei Datsenko over 2 years ago

Oh, that explains it. Thanks!

Also a small suggestion: if lensfun breaks ABIs maybe worth linking it statically?

#3 Updated by Roman Lebedev over 2 years ago

Sergei Datsenko wrote:

Oh, that explains it. Thanks!

Also a small suggestion:

if lensfun breaks ABIs

It was one-time break, hopefully.

maybe worth linking it statically?

#4 Updated by Roman Lebedev over 2 years ago

  • Target version set to 2.4.0

Also available in: Atom PDF